Browse Source

Sync with portage [Tue Nov 24 07:48:19 MSK 2020].

master 1810
Calculate Linux 2 years ago
parent
commit
0fd37cbccc
  1. BIN
      Manifest.files.gz
  2. BIN
      app-admin/Manifest.gz
  3. 1
      app-admin/hardinfo/Manifest
  4. 36
      app-admin/hardinfo/hardinfo-0.6_alpha_pre20201116.ebuild
  5. 2
      app-admin/hardinfo/metadata.xml
  6. 3
      app-admin/passwordsafe/Manifest
  7. 2
      app-admin/passwordsafe/metadata.xml
  8. 100
      app-admin/passwordsafe/passwordsafe-1.08_beta.ebuild
  9. 0
      app-admin/passwordsafe/passwordsafe-1.12.0.ebuild
  10. 1
      app-admin/sysstat/Manifest
  11. 5
      app-admin/sysstat/sysstat-12.4.1.ebuild
  12. 81
      app-admin/sysstat/sysstat-999999.ebuild
  13. BIN
      app-arch/Manifest.gz
  14. 1
      app-arch/lxqt-archiver/Manifest
  15. 49
      app-arch/lxqt-archiver/lxqt-archiver-0.3.0.ebuild
  16. BIN
      app-crypt/Manifest.gz
  17. 2
      app-crypt/gnupg/Manifest
  18. 10
      app-crypt/gnupg/gnupg-2.2.20-r2.ebuild
  19. 10
      app-crypt/gnupg/gnupg-2.2.24.ebuild
  20. 24
      app-crypt/gnupg/gnupg-2.2.25.ebuild
  21. 2
      app-crypt/tpm2-tss-engine/Manifest
  22. 6
      app-crypt/tpm2-tss-engine/tpm2-tss-engine-1.1.0.ebuild
  23. 4
      app-crypt/tpm2-tss/Manifest
  24. 6
      app-crypt/tpm2-tss/tpm2-tss-2.4.4.ebuild
  25. 2
      app-crypt/tpm2-tss/tpm2-tss-3.0.2.ebuild
  26. BIN
      app-emulation/Manifest.gz
  27. 3
      app-emulation/wine-staging/metadata.xml
  28. 650
      app-emulation/wine-staging/wine-staging-5.22-r1.ebuild
  29. 33
      app-emulation/wine-staging/wine-staging-9999.ebuild
  30. 5
      app-emulation/wine-vanilla/metadata.xml
  31. 568
      app-emulation/wine-vanilla/wine-vanilla-5.22-r1.ebuild
  32. 33
      app-emulation/wine-vanilla/wine-vanilla-9999.ebuild
  33. BIN
      app-i18n/Manifest.gz
  34. 2
      app-i18n/uchardet/metadata.xml
  35. BIN
      app-misc/Manifest.gz
  36. 30
      app-misc/dateutils/metadata.xml
  37. BIN
      app-portage/Manifest.gz
  38. 1
      app-portage/elogv/Manifest
  39. 49
      app-portage/elogv/elogv-0.7.8-r1.ebuild
  40. 2
      app-portage/elogv/elogv-0.7.8-r3.ebuild
  41. 8
      app-portage/elogv/elogv-0.7.9.ebuild
  42. 2
      app-portage/euses/euses-2.6.0.ebuild
  43. 2
      app-portage/portage-utils/portage-utils-0.90.1.ebuild
  44. BIN
      app-shells/Manifest.gz
  45. 2
      app-shells/tcsh/tcsh-6.22.02.ebuild
  46. BIN
      app-text/Manifest.gz
  47. 2
      app-text/libebook/libebook-0.1.3-r1.ebuild
  48. 2
      app-text/libmwaw/libmwaw-0.3.17.ebuild
  49. 2
      app-text/poppler-data/poppler-data-0.4.10.ebuild
  50. 2
      app-text/poppler/poppler-20.11.0.ebuild
  51. BIN
      dev-db/Manifest.gz
  52. 1
      dev-db/pg_activity/Manifest
  53. 24
      dev-db/pg_activity/pg_activity-1.6.2.ebuild
  54. 2
      dev-db/pgbadger/Manifest
  55. 6
      dev-db/pgbadger/pgbadger-11.3.ebuild
  56. 2
      dev-db/sqlcl-bin/Manifest
  57. 21
      dev-db/sqlcl-bin/sqlcl-bin-20.3.0.274.1916.ebuild
  58. BIN
      dev-games/Manifest.gz
  59. 171
      dev-games/openscenegraph-openmw/openscenegraph-openmw-3.4_p20200425-r100.ebuild
  60. BIN
      dev-lang/Manifest.gz
  61. 1
      dev-lang/j/Manifest
  62. 44
      dev-lang/j/j-701-r2.ebuild
  63. 8
      dev-lang/j/metadata.xml
  64. 2
      dev-lang/python/python-3.8.6.ebuild
  65. 2
      dev-lang/python/python-3.9.0.ebuild
  66. 14
      dev-lang/rust-bin/Manifest
  67. 2
      dev-lang/rust-bin/rust-bin-1.45.2.ebuild
  68. 2
      dev-lang/rust-bin/rust-bin-1.46.0.ebuild
  69. 2
      dev-lang/rust-bin/rust-bin-1.47.0-r1.ebuild
  70. 155
      dev-lang/rust-bin/rust-bin-1.48.0.ebuild
  71. 15
      dev-lang/rust/Manifest
  72. 164
      dev-lang/rust/files/1.48.0-gentoo-musl-target-specs.patch
  73. 2
      dev-lang/rust/rust-1.45.2.ebuild
  74. 2
      dev-lang/rust/rust-1.46.0.ebuild
  75. 2
      dev-lang/rust/rust-1.47.0-r1.ebuild
  76. 596
      dev-lang/rust/rust-1.48.0.ebuild
  77. BIN
      dev-libs/Manifest.gz
  78. 2
      dev-libs/boost/boost-1.74.0-r1.ebuild
  79. 120
      dev-libs/kreport/files/kreport-3.2.0-gcc10.patch
  80. 58
      dev-libs/kreport/kreport-3.2.0-r1.ebuild
  81. 1
      dev-libs/libpqxx/Manifest
  82. 78
      dev-libs/libpqxx/libpqxx-7.2.1.ebuild
  83. 1
      dev-libs/libqtxdg/Manifest
  84. 52
      dev-libs/libqtxdg/libqtxdg-3.6.0.ebuild
  85. 1
      dev-libs/poco/Manifest
  86. 13
      dev-libs/poco/files/poco-1.10.1-iodbc-incdir.patch
  87. 9
      dev-libs/poco/metadata.xml
  88. 136
      dev-libs/poco/poco-1.10.1.ebuild
  89. BIN
      dev-lua/Manifest.gz
  90. 2
      dev-lua/busted/busted-2.0.0.ebuild
  91. 2
      dev-lua/lua-bit32/lua-bit32-5.3.5-r2.ebuild
  92. 2
      dev-lua/lua-term/lua-term-0.7.ebuild
  93. 2
      dev-lua/lua_cliargs/lua_cliargs-3.0_p2.ebuild
  94. 2
      dev-lua/luaexpat/luaexpat-1.3.0-r1.ebuild
  95. 78
      dev-lua/luaexpat/luaexpat-1.3.0-r100.ebuild
  96. 2
      dev-lua/luaexpat/luaexpat-1.3.0-r2.ebuild
  97. 48
      dev-lua/luaexpat/luaexpat-1.3.3-r1.ebuild
  98. 82
      dev-lua/luaexpat/luaexpat-1.3.3-r100.ebuild
  99. 26
      dev-lua/luaexpat/metadata.xml
  100. 47
      dev-lua/luafilesystem/luafilesystem-1.8.0-r1.ebuild

BIN
Manifest.files.gz

BIN
app-admin/Manifest.gz

1
app-admin/hardinfo/Manifest

@ -1 +1,2 @@
DIST hardinfo-0.5.2_pre20130823.tar.xz 280472 BLAKE2B d72883e7e57234b3328d03daf4d81cc478b383b51f4de08981792c42b3278ede81731ca831fbc285a594aa7f00f861c870aa6d784b7c282960f5541f04f9ce45 SHA512 e36bd4eec0090461de5fdb6c17dccf76937ee8fa9cb3411068fc568847f519023037999278bbb8b9a24608ed5b1d7fd2bebfe7115c631ccca1c35fa259cb20b1
DIST hardinfo-0.6_alpha_pre20201116.tar.gz 1294614 BLAKE2B d585be00603a5da2873d0e15829039f3f5212e2ab294b71d7f53299d7eecdfbb2d46ee8d56913039bf03807cebe3f100f41ce6560a1a33fcd712eab59c2a92a9 SHA512 34ce849f2d1a9ea129502abfb186b43a0d8ddecc853d2edc3128389944a34efa3580c6d8a35b8fc40b55d64cc8f3c0d33b97f198a449ed0cacdbff2520853c1c

36
app-admin/hardinfo/hardinfo-0.6_alpha_pre20201116.ebuild

@ -0,0 +1,36 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit xdg cmake
GIT_COMMIT="54b2e307af763ce87bc8c88e80785d8114bf38dd"
DESCRIPTION="System information and benchmark tool for Linux systems"
HOMEPAGE="https://github.com/lpereira/hardinfo"
SRC_URI="https://github.com/lpereira/hardinfo/archive/${GIT_COMMIT}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="debug"
RDEPEND="dev-libs/glib:2
dev-libs/json-glib
net-libs/libsoup
sys-libs/zlib
x11-libs/cairo
>=x11-libs/gtk+-3.0:3"
DEPEND="${RDEPEND}"
BDEPEND="virtual/pkgconfig"
S="${WORKDIR}/${PN}-${GIT_COMMIT}"
src_configure() {
local mycmakeargs=(
-DHARDINFO_GTK3=1
-DHARDINFO_DEBUG=$(usex debug 1 0)
)
cmake_src_configure
}

2
app-admin/hardinfo/metadata.xml

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<!-- maintainer-needed -->
<!-- maintainer-needed -->
</pkgmetadata>

3
app-admin/passwordsafe/Manifest

@ -1,2 +1 @@
DIST passwordsafe-1.08_beta.tar.gz 14409047 BLAKE2B 029568b435d4cc19f3a95364355546afb99c13bbee0e83c248d57f47e472da714b95be00658ec2bba161b8eab6f0d94bf2856a2198d29673987e5c0cddf69aaf SHA512 7c37a91c71c1a79ea2cac87ec310d08df7491affd02c073d674bbedbabf25c1a1fb807376dae378dc4395b2146f6eaae059a0b14e0d1ba369cfa91a2d29060a4
DIST passwordsafe-1.11.0.tar.gz 14538095 BLAKE2B c37e965968b7e2e694dfa9a9a9193dc9bb10f5b67446ce5db070be864c211f4af06e9c412fa1489f15151741fd1a1ec01d07d3dca4633effa284541e5d081268 SHA512 b6ac36911e24a89f51c8f2efaa381af516e826137a5b131a0258c00d9ff3be07b818ca23b3d49e8dee9913aa8fc73faedf2a70494c72c3b22cc518a9c215e5c5
DIST passwordsafe-1.12.0.tar.gz 14937705 BLAKE2B 523e4496ffb99f8a53e62252117d43b771af867b3505f3a5b8c8f1119e8365f0661090e410a832abca89e2ce35816d2046d4bff0ba1e0f06c52c01eaac9051b2 SHA512 c20cb754a2174e3b3ab61edf99f2a31c333144550103fac50cc26cea89669fa3574db3bdd59996fcd87b83c7bf6dd1e9d2b087c17615183cd7111f151be5a94a

2
app-admin/passwordsafe/metadata.xml

@ -10,11 +10,9 @@
<name>Proxy Maintainers</name>
</maintainer>
<use>
<flag name="minimal">Avoid collision with <pkg>app-misc/pwsafe</pkg></flag>
<flag name="qr">Enable QR code password display</flag>
<flag name="yubikey">Enable support for Yubikey</flag>
<flag name="xml">Enable XML import support</flag>
<flag name="xvkbd">Install <pkg>x11-misc/xvkbd</pkg> on-screen keyboard</flag>
</use>
<upstream>
<remote-id type="github">pwsafe/pwsafe</remote-id>

100
app-admin/passwordsafe/passwordsafe-1.08_beta.ebuild

@ -1,100 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
WX_GTK_VER="3.0-gtk3"
inherit desktop flag-o-matic wxwidgets cmake-utils
MY_PV="${PV/_beta/BETA}"
DESCRIPTION="Password manager with wxGTK based frontend"
HOMEPAGE="https://pwsafe.org/ https://github.com/pwsafe/pwsafe/"
SRC_URI="https://github.com/pwsafe/pwsafe/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Artistic-2"
SLOT="0"
KEYWORDS="~amd64"
IUSE="libressl minimal test qr yubikey +xml xvkbd"
RESTRICT="!test? ( test )"
COMMON_DEPEND="xml? ( dev-libs/xerces-c )
qr? ( media-gfx/qrencode )
net-misc/curl
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
sys-apps/util-linux
x11-libs/libXt
x11-libs/libXtst
x11-libs/wxGTK:${WX_GTK_VER}[X]
!minimal? ( !!app-misc/pwsafe )
yubikey? ( sys-auth/ykpers )"
RDEPEND="${COMMON_DEPEND}
xvkbd? ( x11-misc/xvkbd )"
DEPEND="${COMMON_DEPEND}
app-arch/zip
sys-devel/gettext
test? ( dev-cpp/gtest )"
S=${WORKDIR}/pwsafe-${MY_PV}
PATCHES=(
"${FILESDIR}/${PN}-1.06_beta-system-gtest.patch"
)
pkg_pretend() {
einfo "Checking for -std=c++11 support in compiler"
test-flags-CXX -std=c++11 > /dev/null || die
}
src_prepare() {
cmake-utils_src_prepare
# binary name pwsafe is in use by app-misc/pwsafe, we use passwordsafe
# instead. Perform required changes in linking files
sed -i install/desktop/pwsafe.desktop -e "s/pwsafe/${PN}/g" || die
sed -i docs/pwsafe.1 \
-e 's/PWSAFE/PASSWORDSAFE/' \
-e "s/^.B pwsafe/.B ${PN}/" || die
}
src_configure() {
need-wxwidgets unicode
local mycmakeargs=(
-DNO_QR=$(usex !qr)
-DNO_GTEST=$(usex !test)
-DSYSTEM_GTEST=ON
-DXML_XERCESC=$(usex xml)
-DNO_YUBI=$(usex !yubikey)
)
cmake-utils_src_configure
}
src_install() {
pushd "${BUILD_DIR}" || die
if use minimal; then
newbin pwsafe ${PN}
else
dobin pwsafe
dosym pwsafe /usr/bin/${PN}
fi
insinto /usr/share/locale
doins -r src/ui/wxWidgets/I18N/mos/*
insinto /usr/share/${PN}/help
doins help/*.zip
popd || die
newman docs/pwsafe.1 ${PN}.1
dodoc README.md README.LINUX.* docs/{ReleaseNotes.txt,ChangeLog.txt}
insinto /usr/share/${PN}
doins -r xml
newicon install/graphics/pwsafe.png ${PN}.png
newmenu install/desktop/pwsafe.desktop ${PN}.desktop
}

0
app-admin/passwordsafe/passwordsafe-1.11.0.ebuild → app-admin/passwordsafe/passwordsafe-1.12.0.ebuild

1
app-admin/sysstat/Manifest

@ -2,3 +2,4 @@ DIST sysstat-12.2.1.tar.gz 1227707 BLAKE2B 566382d83a0230517d22e2630a9cb1aa631d7
DIST sysstat-12.2.2.tar.gz 1227793 BLAKE2B 7dcfe904aa60e9c61af516e718668a3f8fb9e4274c51a2c9d44b5e56dc6cf27ffb18d44641970f75abe1c1f8a2c5df8b7a7874da8745757f937ccc2ffbfa03d4 SHA512 82f4fb1e78a26275bdc6f6939dd2c75d7822e930992e74c1eaeda65c0e873d88e777a7f315c7b073aaacb6956281b2119448af2ca22ae6e7f1d20c370b01e3e4
DIST sysstat-12.2.3.tar.gz 1227666 BLAKE2B e78cba586eb8e5f5a971f608ee0df39a20e3af9f02db1778c52bbb09eb4565e29ffb79d68ed00af0142ccbf1120b97825c638b323b53e0b210c96bf808db4aa1 SHA512 d837193b59840b1b1a87f927a4416ba4c688f3b470be00e9ab013b62b2f11e7b963ef4cf521bc42a0a041ea8923e176922ee5b6df56c0612b6646054b048f067
DIST sysstat-12.4.0.tar.gz 1375207 BLAKE2B 66a9c15bb4e3b349158c9f7ab37d00c77844f0fd654df1b613141d906d3c89477e581d7143c77ba6952dd2cc7296f0611bc99aeec8e55e8090a488d5a286ee8b SHA512 156cb38bc4cedb68278d9054ce5b477cbdc84d2480ca302988c0fb5427b9f1f823f0939f2bc1c91fa7657b00b29d02d1f58aeafd342eef83b07d79c3f4141be4
DIST sysstat-12.4.1.tar.gz 1377429 BLAKE2B 878d20575f5397adf10f64ad935b1c08709f6149f875975377c0a9f9b741f9bf352d0dd92ae31c0e7544c2e59e2058fab9ec5be95bfe9d070048661a7ba3bbfa SHA512 203e77095bddeb3797a65ed9e51cab90beaae7f579624c3f55d6903d45b9395d2134ea8e773a572710fd837fd26fb5437dccad63a913536b916f659207256d98

5
app-admin/sysstat/sysstat-12.4.0-r1.ebuild → app-admin/sysstat/sysstat-12.4.1.ebuild

@ -10,7 +10,7 @@ SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS=""
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="dcron debug nls lm-sensors selinux static systemd"
CDEPEND="
@ -53,7 +53,6 @@ src_configure() {
tc-export AR
use static && append-ldflags -static
# --enable-compress-manpg <= Yes, that is inverted.
sa_lib_dir=/usr/lib/sa \
conf_dir=/etc \
econf \
@ -61,7 +60,7 @@ src_configure() {
$(use_enable lm-sensors sensors) \
$(use_enable nls) \
$(usex debug --enable-debuginfo '') \
--enable-compress-manpg \
--disable-compress-manpg \
--enable-copy-only \
--enable-documentation \
--enable-install-cron \

81
app-admin/sysstat/sysstat-999999.ebuild

@ -1,81 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit eutils flag-o-matic git-r3 systemd toolchain-funcs
DESCRIPTION="System performance tools for Linux"
HOMEPAGE="http://pagesperso-orange.fr/sebastien.godard/"
EGIT_REPO_URI="https://github.com/sysstat/sysstat"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS=""
IUSE="debug nls lm-sensors selinux static"
CDEPEND="
nls? ( virtual/libintl )
lm-sensors? ( sys-apps/lm-sensors:= )
"
DEPEND="
${CDEPEND}
nls? ( sys-devel/gettext )
"
RDEPEND="
${CDEPEND}
selinux? ( sec-policy/selinux-sysstat )
"
PATCHES=(
"${FILESDIR}"/${PN}-11.0.4-cron.patch
"${FILESDIR}"/${PN}-11.7.3-flags.patch
)
src_prepare() {
if use nls; then
strip-linguas -i nls/
local lingua pofile
for pofile in nls/*.po; do
lingua=${pofile/nls\/}
lingua=${lingua/.po}
if ! has ${lingua} ${LINGUAS}; then
rm "nls/${lingua}.po" || die
fi
done
fi
default
}
src_configure() {
tc-export AR
use static && append-ldflags -static
sa_lib_dir=/usr/lib/sa \
conf_dir=/etc \
econf \
$(use_enable lm-sensors sensors) \
$(use_enable nls) \
$(usex debug --enable-debuginfo '') \
--enable-copy-only \
--enable-documentation \
--enable-install-cron \
--with-systemdsystemunitdir=$(systemd_get_systemunitdir)
}
src_install() {
keepdir /var/log/sa
emake \
CHOWN=true \
DESTDIR="${D}" \
DOC_DIR=/usr/share/doc/${PF} \
MANGRPARG='' \
install
dodoc -r contrib/
newinitd "${FILESDIR}"/${PN}.init.d ${PN}
systemd_dounit ${PN}.service
rm "${D}"/usr/share/doc/${PF}/COPYING || die
}

BIN
app-arch/Manifest.gz

1
app-arch/lxqt-archiver/Manifest

@ -1 +1,2 @@
DIST lxqt-archiver-0.2.0.tar.xz 155912 BLAKE2B e5c92d5939d3e6d42a79804596e9acc67b007126b630cd9317df7d0d07bb8f3e27cf9ecf6e16eef3289d31ef3627b4fa870cdb5eb52a36489df1080b03509acd SHA512 478a04d0e6e4601dc342ae260c5db4178b01191cae263154dbe400b394e5cd4cb9cd8a6bab7e7c59af57d6bf20c47a5ad2663a85d0eab5f71fbaf584f7588fd7
DIST lxqt-archiver-0.3.0.tar.xz 157492 BLAKE2B 05d9862c75cacf3b73670333a5b2dafb6abfcfd7433a1ebc3d27948122db875f892eb58a05221c880d1ac23530362ae4d9e7c6ebe0f06552b10bb903d51a6868 SHA512 840fae890611b081a1355ceb58ca65276784e6825822859ff2d6506190212268f1c67733dc94c65c9c5758f8d6a25c286c2b339356a50f29474b0c7ce2569d2c

49
app-arch/lxqt-archiver/lxqt-archiver-0.3.0.ebuild

@ -0,0 +1,49 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit cmake xdg-utils
DESCRIPTION="Qt GUI File Archiver"
HOMEPAGE="https://lxqt.github.io/"
if [[ ${PV} == *9999* ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/lxqt/${PN}.git"
else
SRC_URI="https://github.com/lxqt/${PN}/releases/download/${PV}/${P}.tar.xz"
KEYWORDS="~amd64 ~x86"
fi
LICENSE="GPL-2 GPL-2+"
SLOT="0"
BDEPEND="
dev-qt/linguist-tools:5
>=dev-util/lxqt-build-tools-0.8.0
"
DEPEND="
dev-libs/json-glib
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
dev-qt/qtx11extras:5
>=x11-libs/libfm-qt-0.16.0
"
RDEPEND="${DEPEND}"
pkg_postinst() {
xdg_desktop_database_update
elog "Please note that this is only a graphical front-end, and additional"
elog "packages are needed to have support for specific file formats."
elog "For example, to be able to work with the 7-Zip format, the"
elog "'app-arch/p7zip' package may be used."
elog "For the full list of supported formats, see the 'README.md' file:"
elog "https://github.com/lxqt/lxqt-archiver/blob/master/README.md"
}
pkg_postrm() {
xdg_desktop_database_update
}

BIN
app-crypt/Manifest.gz

2
app-crypt/gnupg/Manifest

@ -1,4 +1,4 @@
DIST gnupg-2.2.16-scdaemon_shared-access.patch 2586 BLAKE2B 42fd5482c4e86751ce62836125997c2295c44bc5db0671a06460fd306b2ed93f290fb898fc1b1e463a863eddf9ab5f99ea3c90a55499ef45ca1ed6edf2854663 SHA512 38abaa4200114ae6b6f220fabc0a84a056761949c97bd0564557f4411a299b9a1939893555c27e26da2d8e8da4bc97a298fa7e68f1e80fe99c3f88cc329eaa84
DIST gnupg-2.2.20.tar.bz2 6786913 BLAKE2B 43cf9402a26e67d6c7c2444eb2faaee3f06ea0bf6c07708a50834c5d7424db2f9c38e1f0046dd3a35082abc08d401b2951655e7e068f0873db297560b87d2667 SHA512 3e69f102366ec3415f439ab81aae2458182fa1a18dfb86565b1d9dc638f3fc4c179a5947f0042b7c5a813345676285a662793664a1803ea9ad8328f0548e0edc
DIST gnupg-2.2.23.tar.bz2 7099806 BLAKE2B 0b9c1f5c8931399cfd9d95f107f91869733c4a986476ea43631b4265b1a5c26cfb8c9bb24ef6a295af7aa803749caaedde26365f6f50a7c946c1f86c867d855d SHA512 736b39628f7e4adc650b3f9937c81f27e9ad41e77f5345dc54262c91c1cf7004243fa7f932313bcde955e0e9b3f1afc639bac18023ae878b1d26e3c5a3cabb90
DIST gnupg-2.2.24.tar.bz2 7196489 BLAKE2B 0e6fd3df2a12910d43e290f86839f2ea56dddc2598e3687c356522727b082e3b266c00b7e5184aecac3103c9638e776463adc7b807b6b294180f227877861b1d SHA512 b72fb12da95c1c62f013e1ffdbf2983b4185f0de59edba6061209904e5f63525e23a406529fafcd1b0b50ccbad45980c1db293601e8db84d5cbf65a7228834fb
DIST gnupg-2.2.25.tar.bz2 7195857 BLAKE2B c930edf9259a0e1c508af8d76a86f979860adfe2c525020b37d3741679200f96483f0ad8bc1f72e2dbf7fe77696cd04d4272a2ee23e4c4abe1ed6ba88b95f365 SHA512 ab1d7cc9d8be3e7189bc4bea431b9d5db313cbd1739823950f32fbb611b2f4374889f444efbf43ce1fbf498b9865d7e6e953cd4c86d58fd688f63923c434ea2c

10
app-crypt/gnupg/gnupg-2.2.20-r1.ebuild → app-crypt/gnupg/gnupg-2.2.20-r2.ebuild

@ -116,11 +116,11 @@ src_configure() {
--enable-gpgsm \
--enable-large-secmem \
CC_FOR_BUILD="$(tc-getBUILD_CC)" \
GPG_ERROR_CONFIG="${EROOT}/usr/bin/${CHOST}-gpg-error-config" \
KSBA_CONFIG="${EROOT}/usr/bin/ksba-config" \
LIBASSUAN_CONFIG="${EROOT}/usr/bin/libassuan-config" \
LIBGCRYPT_CONFIG="${EROOT}/usr/bin/${CHOST}-libgcrypt-config" \
NPTH_CONFIG="${EROOT}/usr/bin/npth-config" \
GPG_ERROR_CONFIG="${ESYSROOT}/usr/bin/${CHOST}-gpg-error-config" \
KSBA_CONFIG="${ESYSROOT}/usr/bin/ksba-config" \
LIBASSUAN_CONFIG="${ESYSROOT}/usr/bin/libassuan-config" \
LIBGCRYPT_CONFIG="${ESYSROOT}/usr/bin/${CHOST}-libgcrypt-config" \
NPTH_CONFIG="${ESYSROOT}/usr/bin/npth-config" \
$("${S}/configure" --help | grep -- '--without-.*-prefix' | sed -e 's/^ *\([^ ]*\) .*/\1/g')
}

10
app-crypt/gnupg/gnupg-2.2.24.ebuild

@ -91,11 +91,11 @@ src_configure() {
--enable-gpgsm
--enable-large-secmem
CC_FOR_BUILD="$(tc-getBUILD_CC)"
GPG_ERROR_CONFIG="${EROOT}/usr/bin/${CHOST}-gpg-error-config"
KSBA_CONFIG="${EROOT}/usr/bin/ksba-config"
LIBASSUAN_CONFIG="${EROOT}/usr/bin/libassuan-config"
LIBGCRYPT_CONFIG="${EROOT}/usr/bin/${CHOST}-libgcrypt-config"
NPTH_CONFIG="${EROOT}/usr/bin/npth-config"
GPG_ERROR_CONFIG="${ESYSROOT}/usr/bin/${CHOST}-gpg-error-config"
KSBA_CONFIG="${ESYSROOT}/usr/bin/ksba-config"
LIBASSUAN_CONFIG="${ESYSROOT}/usr/bin/libassuan-config"
LIBGCRYPT_CONFIG="${ESYSROOT}/usr/bin/${CHOST}-libgcrypt-config"
NPTH_CONFIG="${ESYSROOT}/usr/bin/npth-config"
$("${S}/configure" --help | grep -o -- '--without-.*-prefix')
)

24
app-crypt/gnupg/gnupg-2.2.23.ebuild → app-crypt/gnupg/gnupg-2.2.25.ebuild

@ -9,16 +9,17 @@ MY_P="${P/_/-}"
DESCRIPTION="The GNU Privacy Guard, a GPL OpenPGP implementation"
HOMEPAGE="https://gnupg.org/"
SRC_URI="mirror://gnupg/gnupg/${MY_P}.tar.bz2"
SRC_URI="mirror://gnupg/gnupg/${MY_P}.tar.bz2
scd-shared-access? ( https://raw.githubusercontent.com/GPGTools/MacGPG2/5ca182f54b7b6cd635d1c0a4713953834489fdd9/patches/gnupg/scdaemon_shared-access.patch -> ${PN}-2.2.16-scdaemon_shared-access.patch )"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="bzip2 doc ldap nls readline selinux +smartcard ssl tofu tools usb user-socket wks-server"
IUSE="bzip2 doc ldap nls readline scd-shared-access selinux +smartcard ssl tofu tools usb user-socket wks-server"
# Existence of executables is checked during configuration.
DEPEND=">=dev-libs/libassuan-2.5.0
>=dev-libs/libgcrypt-1.7.3
>=dev-libs/libgcrypt-1.8.0
>=dev-libs/libgpg-error-1.29
>=dev-libs/libksba-1.3.4
>=dev-libs/npth-1.2
@ -55,6 +56,13 @@ PATCHES=(
src_prepare() {
default
# Made optional because it's a non-official patch
if use scd-shared-access ; then
# Patch taken from
# https://github.com/GPGTools/MacGPG2/tree/dev/patches/gnupg
eapply "${DISTDIR}/${PN}-2.2.16-scdaemon_shared-access.patch"
fi
# Inject SSH_AUTH_SOCK into user's sessions after enabling gpg-agent-ssh.socket in systemctl --user mode,
# idea borrowed from libdbus, see
# https://gitlab.freedesktop.org/dbus/dbus/-/blob/master/bus/systemd-user/dbus.socket.in#L6
@ -83,11 +91,11 @@ src_configure() {
--enable-gpgsm
--enable-large-secmem
CC_FOR_BUILD="$(tc-getBUILD_CC)"
GPG_ERROR_CONFIG="${EROOT}/usr/bin/${CHOST}-gpg-error-config"
KSBA_CONFIG="${EROOT}/usr/bin/ksba-config"
LIBASSUAN_CONFIG="${EROOT}/usr/bin/libassuan-config"
LIBGCRYPT_CONFIG="${EROOT}/usr/bin/${CHOST}-libgcrypt-config"
NPTH_CONFIG="${EROOT}/usr/bin/npth-config"
GPG_ERROR_CONFIG="${ESYSROOT}/usr/bin/${CHOST}-gpg-error-config"
KSBA_CONFIG="${ESYSROOT}/usr/bin/ksba-config"
LIBASSUAN_CONFIG="${ESYSROOT}/usr/bin/libassuan-config"
LIBGCRYPT_CONFIG="${ESYSROOT}/usr/bin/${CHOST}-libgcrypt-config"
NPTH_CONFIG="${ESYSROOT}/usr/bin/npth-config"
$("${S}/configure" --help | grep -o -- '--without-.*-prefix')
)

2
app-crypt/tpm2-tss-engine/Manifest

@ -1 +1 @@
DIST tpm2-tss-engine-1.1.0_rc1.tar.gz 38749 BLAKE2B 74063555404f2c61a21ba05f0eb1217fa78db4296d48712dccf1a113f5b7edef3d10f3347b955562a97f974342eeecdedebf0f2073551c4d0e4277b8320f72b7 SHA512 e5620886c3b27fea3a51ff136bddaa6eb5d57277ca29a79964cd600703b03447341a535bb46079c15caf96cfe6f45943322b2f2dd0c48f453d6b9c57e76989bc
DIST tpm2-tss-engine-1.1.0.tar.gz 394448 BLAKE2B 0502907dc9ce872f31be3b980f975a02af2e3e4b369d188afa5327bd4475d93dbf43769dc7ddc11e8cbda8d1fde09f28a9aef9145e859a90225cd397f62c7a2c SHA512 5d2e08178be54350e8672245023d601a0d9d520f8c49e977af49d7c59b91d033c14b4a347b71e042fe7c5ff12af9fcc43b69fd1dc83a9f0db12d47d43e1107f4

6
app-crypt/tpm2-tss-engine/tpm2-tss-engine-1.1.0_rc1.ebuild → app-crypt/tpm2-tss-engine/tpm2-tss-engine-1.1.0.ebuild

@ -5,11 +5,9 @@ EAPI=7
inherit autotools bash-completion-r1
MY_PV="${PV/_/-}"
DESCRIPTION="OpenSSL Engine for TPM2 devices"
HOMEPAGE="https://github.com/tpm2-software/tpm2-tools"
SRC_URI="https://github.com/tpm2-software/${PN}/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
SRC_URI="https://github.com/tpm2-software/${PN}/releases/download/v${PV}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
@ -23,7 +21,6 @@ DEPEND="${RDEPEND}
test? ( dev-util/cmocka )"
BDEPEND="sys-devel/autoconf-archive
virtual/pkgconfig"
S="${WORKDIR}/${PN}-${MY_PV}"
src_prepare() {
default
@ -36,7 +33,6 @@ src_configure() {
--disable-defaultflags \
--disable-static \
--with-completionsdir="$(get_bashcompdir)"
}
src_install () {

4
app-crypt/tpm2-tss/Manifest

@ -1,3 +1,3 @@
DIST tpm2-tss-2.4.1.tar.gz 1445103 BLAKE2B c7be91b93d19b5afeddb6ec455db9ba06795f8dc76ee2a0c6cbabbd8f623930d7c9fdf6319497c70790445531d1e36fe3f904f4c1f4bc9254d833b6d19280f1f SHA512 51551d63fa404e23664aaad1b247bd4b1f93812ced1aed144c37f28cdb3adb4e696aa9e93a502c8fa0eb7e9b4376ac9377f0537eb4c717b68c0b014fee7a0643
DIST tpm2-tss-2.4.3.tar.gz 1439120 BLAKE2B 21acce29f96e8039124874c024b43eb8d2c4ffda27db58bb4f34446747c0fa6953c6ca390f8e87d22c1349123bada81051b119eaf7a28c7d1ad8a9195287c312 SHA512 4adaeb2724b720017e9d488f66de879ebdc0dbc2a4f7536493214913a49d2c631e302be26f710f0f45b0d514212cb036ca7ba9715ee13c29dda1d4a61595aa27
DIST tpm2-tss-3.0.1.tar.gz 1488285 BLAKE2B 2ccf123a2e0ff6355d8022402fb2e12932565f345b4b2c9ac68249b5de3ea5851256c38057323b19cb84dfd2ea5b63292b8b8f1bd4d9576d27bd57a35f0250f1 SHA512 206830fecea22c4974a16b5e76599b3c22e077a448f15e2707b260eba6832b2089f9d7c12d3e42daf314cdfbd83309b2b623a7abeb1409234f1930a835365529
DIST tpm2-tss-2.4.4.tar.gz 1440127 BLAKE2B f5db64281af92bc74d92ecffedbaa051aef21277d8c1c56fb0eb2c47fdebc12772eb18a7c2a2cb671730a1089227f756314ee02acfaa5307fedbfddb86565a81 SHA512 df35bace1744a93e5072a26490e7724604fcc8b04f2b1be71be0069750b8cff7ca4c5c6134e54fbe76f0797d5e83dcfbc8ce248a800d064fbf3be9e3e4745f73
DIST tpm2-tss-3.0.2.tar.gz 1489725 BLAKE2B e68a6ce24070c9f4966367ecd55cef324b0bef2786dbcdedb894a19dcd71fbb2eda473f612885db4c816c6c2c15711ee192d441be6eb6fd665dd13180e70b556 SHA512 0b295bb1a135c904344e8a11ae9a293f71d60ea045bacd59a9b778ba19e88e1b91022f24a4775615c215db450584574901838146bc4d4d286ee8b686b72b0bab

6
app-crypt/tpm2-tss/tpm2-tss-2.4.1.ebuild → app-crypt/tpm2-tss/tpm2-tss-2.4.4.ebuild

@ -11,7 +11,7 @@ SRC_URI="https://github.com/tpm2-software/${PN}/releases/download/${PV}/${P}.tar
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 x86"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
IUSE="doc +fapi gcrypt +openssl static-libs test"
RESTRICT="!test? ( test )"
@ -33,8 +33,8 @@ BDEPEND="virtual/pkgconfig
doc? ( app-doc/doxygen )"
PATCHES=(
"${FILESDIR}/${P}-Dont-run-systemd-sysusers-in-Makefile.patch"
"${FILESDIR}/${P}-configure.ac-wrap-PKG_CHECK_MODULES-in-braces.patch"
"${FILESDIR}/${PN}-2.4.1-configure.ac-wrap-PKG_CHECK_MODULES-in-braces.patch"
"${FILESDIR}/${PN}-2.4.2-Dont-run-systemd-sysusers-in-Makefile.patch"
)
pkg_setup() {

2
app-crypt/tpm2-tss/tpm2-tss-3.0.1.ebuild → app-crypt/tpm2-tss/tpm2-tss-3.0.2.ebuild

@ -32,7 +32,7 @@ BDEPEND="virtual/pkgconfig
PATCHES=(
"${FILESDIR}/${PN}-3.0.0-Dont-run-systemd-sysusers-in-Makefile.patch"
"${FILESDIR}/${P}-Fix-underquoting-in-configure-ac.patch"
"${FILESDIR}/${PN}-3.0.1-Fix-underquoting-in-configure-ac.patch"
)
pkg_setup() {

BIN
app-emulation/Manifest.gz

3
app-emulation/wine-staging/metadata.xml

@ -25,6 +25,7 @@ This variant of the Wine packaging includes the Wine-Staging patchset.
<flag name="gecko">Add support for the Gecko engine when using iexplore</flag>
<flag name="gssapi">Use GSSAPI (Kerberos SSP support)</flag>
<flag name="gstreamer">Use <pkg>media-libs/gstreamer</pkg> to provide DirectShow functionality;</flag>
<flag name="mingw">Build PE files using a MinGW cross compiler</flag>
<flag name="mono">Add support for .NET using Wine's Mono add-on</flag>
<flag name="netapi">Use libnetapi from <pkg>net-fs/samba</pkg> to support Windows networks in netapi32.dll</flag>
<flag name="opencl">Enable OpenCL support</flag>
@ -42,7 +43,7 @@ This variant of the Wine packaging includes the Wine-Staging patchset.
(these pages are not currently in the updated WineHQ Wiki).</flag>
<flag name="sdl">Add support for gamepad detection using SDL</flag>
<flag name="staging">Apply Wine-Staging patches for advanced feature support that haven't made it into upstream Wine yet</flag>
<flag name="themes">Support GTK+:3 window theming through Wine-Staging</flag>
<flag name="themes">Support GTK+:3 window theming through Wine-Staging</flag>
<flag name="udev">Use <pkg>virtual/libudev</pkg> to provide plug and play support</flag>
<flag name="unwind">Use <pkg>sys-libs/libunwind</pkg> to unwind the stack</flag>
<flag name="vkd3d">Use <pkg>app-emulation/vkd3d</pkg> to provide Direct3D 12 support</flag>

650
app-emulation/wine-staging/wine-staging-5.22-r1.ebuild

@ -0,0 +1,650 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PLOCALES="ar ast bg ca cs da de el en en_US eo es fa fi fr he hi hr hu it ja ko lt ml nb_NO nl or pa pl pt_BR pt_PT rm ro ru si sk sl sr_RS@cyrillic sr_RS@latin sv ta te th tr uk wa zh_CN zh_TW"
PLOCALE_BACKUP="en"
inherit autotools eapi7-ver estack eutils flag-o-matic gnome2-utils l10n multilib multilib-minimal pax-utils toolchain-funcs virtualx xdg-utils
MY_PN="${PN%%-*}"
MY_P="${MY_PN}-${PV}"
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://source.winehq.org/git/wine.git"
EGIT_BRANCH="master"
inherit git-r3
SRC_URI=""
#KEYWORDS=""
else
MAJOR_V=$(ver_cut 1)
SRC_URI="https://dl.winehq.org/wine/source/${MAJOR_V}.x/${MY_P}.tar.xz"
KEYWORDS="-* ~amd64 ~x86"
fi
S="${WORKDIR}/${MY_P}"
STAGING_P="wine-staging-${PV}"
STAGING_DIR="${WORKDIR}/${STAGING_P}"
GWP_V="20200523"
PATCHDIR="${WORKDIR}/gentoo-wine-patches"
DESCRIPTION="Free implementation of Windows(tm) on Unix, with Wine-Staging patchset"
HOMEPAGE="https://www.winehq.org/"
SRC_URI="${SRC_URI}
https://dev.gentoo.org/~sarnex/distfiles/wine/gentoo-wine-patches-${GWP_V}.tar.xz
"
if [[ ${PV} == "9999" ]] ; then
STAGING_EGIT_REPO_URI="https://github.com/wine-staging/wine-staging.git"
else
SRC_URI="${SRC_URI}
staging? ( https://github.com/wine-staging/wine-staging/archive/v${PV}.tar.gz -> ${STAGING_P}.tar.gz )"
fi
LICENSE="LGPL-2.1"
SLOT="${PV}"
IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc +faudio +fontconfig +gcrypt +gecko gphoto2 gsm gssapi gstreamer +jpeg kerberos kernel_FreeBSD +lcms ldap mingw +mono mp3 ncurses netapi nls odbc openal opencl +opengl osmesa oss +perl pcap pipelight +png prelink pulseaudio +realtime +run-exes samba scanner sdl selinux +ssl staging test themes +threads +truetype udev +udisks +unwind v4l vaapi vkd3d vulkan +X +xcomposite xinerama +xml"
REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
X? ( truetype )
elibc_glibc? ( threads )
osmesa? ( opengl )
pipelight? ( staging )
test? ( abi_x86_32 )
themes? ( staging )
vaapi? ( staging )
vkd3d? ( vulkan )" # osmesa-opengl #286560 # X-truetype #551124
# FIXME: the test suite is unsuitable for us; many tests require net access
# or fail due to Xvfb's opengl limitations.
RESTRICT="test"
COMMON_DEPEND="
X? (
x11-libs/libXcursor[${MULTILIB_USEDEP}]
x11-libs/libXext[${MULTILIB_USEDEP}]
x11-libs/libXfixes[${MULTILIB_USEDEP}]
x11-libs/libXrandr[${MULTILIB_USEDEP}]
x11-libs/libXi[${MULTILIB_USEDEP}]
x11-libs/libXxf86vm[${MULTILIB_USEDEP}]
)
alsa? ( media-libs/alsa-lib[${MULTILIB_USEDEP}] )
capi? ( net-libs/libcapi[${MULTILIB_USEDEP}] )
cups? ( net-print/cups:=[${MULTILIB_USEDEP}] )
faudio? ( app-emulation/faudio:=[${MULTILIB_USEDEP}] )
fontconfig? ( media-libs/fontconfig:=[${MULTILIB_USEDEP}] )
gcrypt? ( dev-libs/libgcrypt:=[${MULTILIB_USEDEP}] )
gphoto2? ( media-libs/libgphoto2:=[${MULTILIB_USEDEP}] )
gsm? ( media-sound/gsm:=[${MULTILIB_USEDEP}] )
gssapi? ( virtual/krb5[${MULTILIB_USEDEP}] )
gstreamer? (
media-libs/gstreamer:1.0[${MULTILIB_USEDEP}]
media-plugins/gst-plugins-meta:1.0[${MULTILIB_USEDEP}]
)
jpeg? ( virtual/jpeg:0=[${MULTILIB_USEDEP}] )
kerberos? ( virtual/krb5:0=[${MULTILIB_USEDEP}] )
lcms? ( media-libs/lcms:2=[${MULTILIB_USEDEP}] )
ldap? ( net-nds/openldap:=[${MULTILIB_USEDEP}] )
mp3? ( >=media-sound/mpg123-1.5.0[${MULTILIB_USEDEP}] )
ncurses? ( >=sys-libs/ncurses-5.2:0=[${MULTILIB_USEDEP}] )
netapi? ( net-fs/samba[netapi(+),${MULTILIB_USEDEP}] )
nls? ( sys-devel/gettext[${MULTILIB_USEDEP}] )
odbc? ( dev-db/unixODBC:=[${MULTILIB_USEDEP}] )
openal? ( media-libs/openal:=[${MULTILIB_USEDEP}] )
opencl? ( virtual/opencl[${MULTILIB_USEDEP}] )
opengl? (
virtual/glu[${MULTILIB_USEDEP}]
virtual/opengl[${MULTILIB_USEDEP}]
)
osmesa? ( >=media-libs/mesa-13[osmesa,${MULTILIB_USEDEP}] )
pcap? ( net-libs/libpcap[${MULTILIB_USEDEP}] )
png? ( media-libs/libpng:0=[${MULTILIB_USEDEP}] )
pulseaudio? ( media-sound/pulseaudio[${MULTILIB_USEDEP}] )
scanner? ( media-gfx/sane-backends:=[${MULTILIB_USEDEP}] )
sdl? ( media-libs/libsdl2:=[haptic,joystick,${MULTILIB_USEDEP}] )
ssl? ( net-libs/gnutls:=[${MULTILIB_USEDEP}] )
staging? ( sys-apps/attr[${MULTILIB_USEDEP}] )
themes? (
dev-libs/glib:2[${MULTILIB_USEDEP}]
x11-libs/cairo[${MULTILIB_USEDEP}]
x11-libs/gtk+:3[${MULTILIB_USEDEP}]
)
truetype? ( >=media-libs/freetype-2.0.0[${MULTILIB_USEDEP}] )
udev? ( virtual/libudev:=[${MULTILIB_USEDEP}] )
udisks? ( sys-apps/dbus[${MULTILIB_USEDEP}] )
unwind? ( sys-libs/libunwind[${MULTILIB_USEDEP}] )
v4l? ( media-libs/libv4l[${MULTILIB_USEDEP}] )
vaapi? ( x11-libs/libva[X,${MULTILIB_USEDEP}] )
vkd3d? ( >=app-emulation/vkd3d-1.2[${MULTILIB_USEDEP}] )
vulkan? ( media-libs/vulkan-loader[${MULTILIB_USEDEP}] )
xcomposite? ( x11-libs/libXcomposite[${MULTILIB_USEDEP}] )
xinerama? ( x11-libs/libXinerama[${MULTILIB_USEDEP}] )
xml? (
dev-libs/libxml2[${MULTILIB_USEDEP}]
dev-libs/libxslt[${MULTILIB_USEDEP}]
)"
RDEPEND="${COMMON_DEPEND}
app-emulation/wine-desktop-common
>app-eselect/eselect-wine-0.3
!app-emulation/wine:0
dos? ( >=games-emulation/dosbox-0.74_p20160629 )
gecko? ( app-emulation/wine-gecko:2.47.1[abi_x86_32?,abi_x86_64?] )
mono? ( app-emulation/wine-mono:5.1.1 )
perl? (
dev-lang/perl
dev-perl/XML-Simple
)
pulseaudio? (
realtime? ( sys-auth/rtkit )
)
samba? ( >=net-fs/samba-3.0.25[winbind] )
selinux? ( sec-policy/selinux-wine )
udisks? ( sys-fs/udisks:2 )"
# tools/make_requests requires perl
DEPEND="${COMMON_DEPEND}
sys-devel/flex
>=sys-kernel/linux-headers-2.6
virtual/pkgconfig
virtual/yacc
X? ( x11-base/xorg-proto )
prelink? ( sys-devel/prelink )
staging? (
dev-lang/perl
dev-perl/XML-Simple
)
xinerama? ( x11-base/xorg-proto )"
# These use a non-standard "Wine" category, which is provided by
# /etc/xdg/applications-merged/wine.menu
QA_DESKTOP_FILE="usr/share/applications/wine-browsedrive.desktop
usr/share/applications/wine-notepad.desktop
usr/share/applications/wine-uninstaller.desktop
usr/share/applications/wine-winecfg.desktop"
PATCHES=(
"${PATCHDIR}/patches/${MY_PN}-5.0-winegcc.patch" #260726
"${PATCHDIR}/patches/${MY_PN}-4.7-multilib-portage.patch" #395615
"${PATCHDIR}/patches/${MY_PN}-2.0-multislot-apploader.patch" #310611
"${PATCHDIR}/patches/${MY_PN}-5.9-Revert-makedep-Install-also-generated-typelib-for-in.patch"
)
PATCHES_BIN=()
# https://bugs.gentoo.org/show_bug.cgi?id=635222
if [[ ${#PATCHES_BIN[@]} -ge 1 ]] || [[ ${PV} == 9999 ]]; then
DEPEND+=" dev-util/patchbin"
fi
wine_compiler_check() {
[[ ${MERGE_TYPE} = "binary" ]] && return 0
# GCC-specific bugs
if tc-is-gcc; then
# bug #549768
if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) -le 2 ]]; then
ebegin "Checking for gcc-5 ms_abi compiler bug"
$(tc-getCC) -O2 "${PATCHDIR}/files/pr66838.c" -o "${T}"/pr66838 || die
# Run in subshell to prevent "Aborted" message
( "${T}"/pr66838 || false ) >/dev/null 2>&1
if ! eend $?; then
eerror "64-bit wine cannot be built with gcc-5.1 or initial patchset of 5.2.0"
eerror "due to compiler bugs; please re-emerge the latest gcc-5.2.x ebuild,"
eerror "or use gcc-config to select a different compiler version."
eerror "See https://bugs.gentoo.org/549768"
eerror
return 1
fi
fi
# bug #574044
if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) = 3 ]]; then
ebegin "Checking for gcc-5-3 stack realignment compiler bug"
# Compile in subshell to prevent "Aborted" message
( $(tc-getCC) -O2 -mincoming-stack-boundary=3 "${PATCHDIR}/files/pr69140.c" -o "${T}"/pr69140 ) >/dev/null 2>&1
if ! eend $?; then
eerror "Wine cannot be built with this version of gcc-5.3"
eerror "due to compiler bugs; please re-emerge the latest gcc-5.3.x ebuild,"
eerror "or use gcc-config to select a different compiler version."
eerror "See https://bugs.gentoo.org/574044"
eerror
return 1
fi
fi
fi
# Ensure compiler support
if use abi_x86_64; then
ebegin "Checking for 64-bit compiler with builtin_ms_va_list support"
# Compile in subshell to prevent "Aborted" message
( $(tc-getCC) -O2 "${PATCHDIR}/files/builtin_ms_va_list.c" -o "${T}"/builtin_ms_va_list >/dev/null 2>&1)
if ! eend $?; then
eerror "This version of $(tc-getCC) does not support builtin_ms_va_list, can't enable 64-bit wine"
eerror
eerror "You need gcc-4.4+ or clang 3.8+ to build 64-bit wine"
eerror
return 1
fi
fi
}
wine_build_environment_check() {
[[ ${MERGE_TYPE} = "binary" ]] && return 0
if use abi_x86_64; then
if tc-is-gcc && [[ $(gcc-major-version) -lt 4 || ( $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 4 ) ]]; then
eerror "You need gcc-4.4+ to compile 64-bit wine"
die
elif tc-is-clang && [[ $(clang-major-version) -lt 3 || ( $(clang-major-version) -eq 3 && $(clang-minor-version) -lt 8 ) ]]; then
eerror "You need clang-3.8+ to compile 64-bit wine"
die
fi
fi
if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -le 3 ]]; then
ewarn "GCC-5.0-5.3 suffered from compiler bugs and are no longer supported by"
ewarn "Gentoo's Toolchain Team. If your ebuild fails the compiler checks in"
ewarn "the configure phase, either update your compiler or switch to <5.0 || >=5.4"
fi
if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -eq 4 ]]; then
if has "-march=i686" ${CFLAGS} && ! has "-mtune=generic" ${CFLAGS}; then
ewarn "Compilation can hang with CFLAGS=\"-march=i686\". You can temporarily work"
ewarn "around this by adding \"-mtune=generic\" to your CFLAGS for wine."
ewarn "See package.env in man 5 portage for more information on how to do this."
ewarn "See https://bugs.gentoo.org/show_bug.cgi?id=613128 for more details"
fi
fi
if use abi_x86_32 && use opencl && [[ "$(eselect opencl show 2> /dev/null)" == "intel" ]]; then
eerror "You cannot build wine with USE=opencl because intel-ocl-sdk is 64-bit only."
eerror "See https://bugs.gentoo.org/487864 for more details."
eerror
return 1
fi
}
wine_env_vcs_vars() {
local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
local pn_live_val="${pn_live_var}"
eval pn_live_val='$'${pn_live_val}
if [[ ! -z ${pn_live_val} ]]; then
if use staging; then
eerror "Because of the multi-repo nature of ${MY_PN}, ${pn_live_var}"
eerror "cannot be used to set the commit. Instead, you may use the"
eerror "environment variables:"
eerror " EGIT_OVERRIDE_COMMIT_WINE"
eerror " EGIT_OVERRIDE_COMMIT_WINE_STAGING_WINE_STAGING"
eerror
return 1
fi
fi
if [[ ! -z ${EGIT_COMMIT} ]]; then
eerror "Commits must now be specified using the environment variables:"
eerror " EGIT_OVERRIDE_COMMIT_WINE"
eerror " EGIT_OVERRIDE_COMMIT_WINE_STAGING_WINE_STAGING"
eerror
return 1
fi
}
pkg_pretend() {
wine_build_environment_check || die
# Verify OSS support
if use oss && ! use kernel_FreeBSD; then
if ! has_version ">=media-sound/oss-4"; then
eerror "You cannot build wine with USE=oss without having support from a"
eerror "FreeBSD kernel or >=media-sound/oss-4 (only available through external repos)"
eerror
die
fi
fi
if use mingw && use abi_x86_32 && ! has_version "cross-i686-w64-mingw32/gcc"; then
eerror
eerror "USE=\"mingw\" is currently experimental, and requires the"
eerror "'cross-i686-w64-mingw32' compiler and its runtime for 32-bit builds."
eerror
eerror "These can be installed by using 'sys-devel/crossdev':"
eerror
eerror "crossdev --target i686-w64-mingw32"
eerror
eerror "For more information on setting up MinGW, see: https://wiki.gentoo.org/wiki/Mingw"
eerror
die "MinGW build was enabled, but no compiler to support it was found."
fi
if use mingw && use abi_x86_64 && ! has_version "cross-x86_64-w64-mingw32/gcc"; then
eerror
eerror "USE=\"mingw\" is currently experimental, and requires the"
eerror "'cross-x86_64-w64-mingw32' compiler and its runtime for 64-bit builds."
eerror
eerror "These can be installed by using 'sys-devel/crossdev':"
eerror
eerror "crossdev --target x86_64-w64-mingw32"
eerror
eerror "For more information on setting up MinGW, see: https://wiki.gentoo.org/wiki/Mingw"
eerror
die "MinGW build was enabled, but no compiler to support it was found."
fi
}
pkg_setup() {
wine_build_environment_check || die
wine_env_vcs_vars || die
WINE_VARIANT="${PN#wine}-${PV}"
WINE_VARIANT="${WINE_VARIANT#-}"
MY_PREFIX="${EPREFIX}/usr/lib/wine-${WINE_VARIANT}"
MY_DATAROOTDIR="${EPREFIX}/usr/share/wine-${WINE_VARIANT}"
MY_DATADIR="${MY_DATAROOTDIR}"
MY_DOCDIR="${EPREFIX}/usr/share/doc/${PF}"
MY_INCLUDEDIR="${EPREFIX}/usr/include/wine-${WINE_VARIANT}"
MY_LIBEXECDIR="${EPREFIX}/usr/libexec/wine-${WINE_VARIANT}"
MY_LOCALSTATEDIR="${EPREFIX}/var/wine-${WINE_VARIANT}"
MY_MANDIR="${MY_DATADIR}/man"
}
src_unpack() {
if [[ ${PV} == "9999" ]] ; then
EGIT_CHECKOUT_DIR="${S}" git-r3_src_unpack
if use staging; then
local CURRENT_WINE_COMMIT=${EGIT_VERSION}
EGIT_CHECKOUT_DIR="${STAGING_DIR}" EGIT_REPO_URI="${STAGING_EGIT_REPO_URI}" git-r3_src_unpack
local COMPAT_WINE_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
if [[ "${CURRENT_WINE_COMMIT}" != "${COMPAT_WINE_COMMIT}" ]]; then
einfo "The current Staging patchset is not guaranteed to apply on this WINE commit."
einfo "If src_prepare fails, try emerging with the env var WINE_COMMIT."
einfo "Example: EGIT_OVERRIDE_COMMIT_WINE=${COMPAT_WINE_COMMIT} emerge -1 wine"
fi
fi
fi
default
l10n_find_plocales_changes "${S}/po" "" ".po"
}
src_prepare() {
eapply_bin(){
local patch
for patch in ${PATCHES_BIN[@]}; do
patchbin --nogit < "${patch}" || die
done
}
local md5="$(md5sum server/protocol.def)"
if use staging; then
ewarn "Applying the Wine-Staging patchset. Any bug reports to the"
ewarn "Wine bugzilla should explicitly state that staging was used."
local STAGING_EXCLUDE="-W winemenubuilder-Desktop_Icon_Path" #652176
use pipelight || STAGING_EXCLUDE="${STAGING_EXCLUDE} -W Pipelight"
# Launch wine-staging patcher in a subshell, using eapply as a backend, and gitapply.sh as a backend for binary patches
ebegin "Running Wine-Staging patch installer"
(
set -- DESTDIR="${S}" --backend=eapply --no-autoconf --all ${STAGING_EXCLUDE}
cd "${STAGING_DIR}/patches"
source "${STAGING_DIR}/patches/patchinstall.sh"
)
eend $? || die "Failed to apply Wine-Staging patches"
fi
default
eapply_bin
eautoreconf
# Modification of the server protocol requires regenerating the server requests
if [[ "$(md5sum server/protocol.def)" != "${md5}" ]]; then
einfo "server/protocol.def was patched; running tools/make_requests"
tools/make_requests || die #432348
fi
sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in || die
if ! use run-exes; then
sed -i '/^MimeType/d' loader/wine.desktop || die #117785
fi
# Edit wine.desktop to work for specific variant
sed -e "/^Exec=/s/wine /wine-${WINE_VARIANT} /" -i loader/wine.desktop || die
# hi-res default icon, #472990, https://bugs.winehq.org/show_bug.cgi?id=24652
cp "${PATCHDIR}/files/oic_winlogo.ico" dlls/user32/resources/ || die
l10n_get_locales > po/LINGUAS || die # otherwise wine doesn't respect LINGUAS
# Fix manpage generation for locales #469418 and abi_x86_64 #617864
# Duplicate manpages input files for wine64
local f
for f in loader/*.man.in; do
cp ${f} ${f/wine/wine64} || die
done
# Add wine64 manpages to Makefile
if use abi_x86_64; then
sed -i "/wine.man.in/i \
\\\twine64.man.in \\\\" loader/Makefile.in || die
sed -i -E 's/(.*wine)(.*\.UTF-8\.man\.in.*)/&\
\164\2/' loader/Makefile.in || die
fi
rm_man_file(){
local file="${1}"
loc=${2}
sed -i "/${loc}\.UTF-8\.man\.in/d" "${file}" || die
}
while read f; do
l10n_for_each_disabled_locale_do rm_man_file "${f}"
done < <(find -name "Makefile.in" -exec grep -q "UTF-8.man.in" "{}" \; -print)
}
src_configure() {
wine_compiler_check || die
export LDCONFIG=/bin/true
use custom-cflags || strip-flags
multilib-minimal_src_configure
}
multilib_src_configure() {
local myconf=(
--prefix="${MY_PREFIX}"
--datarootdir="${MY_DATAROOTDIR}"
--datadir="${MY_DATADIR}"
--docdir="${MY_DOCDIR}"
--includedir="${MY_INCLUDEDIR}"
--libdir="${EPREFIX}/usr/$(get_libdir)/wine-${WINE_VARIANT}"
--libexecdir="${MY_LIBEXECDIR}"
--localstatedir="${MY_LOCALSTATEDIR}"
--mandir="${MY_MANDIR}"
--sysconfdir="${EPREFIX}/etc/wine"
$(use_with alsa)
$(use_with capi)
$(use_with lcms cms)
$(use_with cups)
$(use_with ncurses curses)
$(use_with udisks dbus)
$(use_with faudio)
$(use_with fontconfig)
$(use_with ssl gnutls)
$(use_enable gecko mshtml)
$(use_with gcrypt)
$(use_with gphoto2 gphoto)
$(use_with gsm)
$(use_with gssapi)
$(use_with gstreamer)
--without-hal
$(use_with jpeg)
$(use_with kerberos krb5)
$(use_with ldap)
# TODO: Will bug 685172 still need special handling?
$(use_with mingw)
$(use_enable mono mscoree)
$(use_with mp3 mpg123)
$(use_with netapi)
$(use_with nls gettext)
$(use_with openal)
$(use_with opencl)
$(use_with opengl)
$(use_with osmesa)
$(use_with oss)
$(use_with pcap)
$(use_with png)
$(use_with pulseaudio pulse)
$(use_with threads pthread)
$(use_with scanner sane)
$(use_with sdl)
$(use_enable test tests)
$(use_with truetype freetype)
$(use_with udev)
$(use_with unwind)
$(use_with v4l v4l2)
$(use_with vkd3d)
$(use_with vulkan)
$(use_with X x)
$(use_with X xfixes)
$(use_with xcomposite)
$(use_with xinerama)
$(use_with xml)
$(use_with xml xslt)
)
use staging && myconf+=(
--with-xattr
$(use_with themes gtk3)
$(use_with vaapi va)
)
local PKG_CONFIG AR RANLIB
# Avoid crossdev's i686-pc-linux-gnu-pkg-config if building wine32 on amd64; #472038
# set AR and RANLIB to make QA scripts happy; #483342
tc-export PKG_CONFIG AR RANLIB
if use amd64; then
if [[ ${ABI} == amd64 ]]; then
myconf+=( --enable-win64 )
else
myconf+=( --disable-win64 )
fi
# Note: using --with-wine64 results in problems with multilib.eclass
# CC/LD hackery. We're using separate tools instead.
fi
ECONF_SOURCE=${S} \
econf "${myconf[@]}"
emake depend
}
multilib_src_test() {
# FIXME: win32-only; wine64 tests fail with "could not find the Wine loader"
if [[ ${ABI} == x86 ]]; then
if [[ $(id -u) == 0 ]]; then
ewarn "Skipping tests since they cannot be run under the root user."
ewarn "To run the test ${MY_PN} suite, add userpriv to FEATURES in make.conf"
return
fi
WINEPREFIX="${T}/.wine-${ABI}" \
Xemake test
fi
}
multilib_src_install_all() {
local DOCS=( ANNOUNCE AUTHORS README )
add_locale_docs() {
local locale_doc="documentation/README.$1"
[[ ! -e ${locale_doc} ]] || DOCS+=( ${locale_doc} )
}
l10n_for_each_locale_do add_locale_docs
einstalldocs
prune_libtool_files --all
if ! use perl ; then # winedump calls function_grep.pl, and winemaker is a perl script
rm "${D%/}${MY_PREFIX}"/bin/{wine{dump,maker},function_grep.pl} \
"${D%/}${MY_MANDIR}"/man1/wine{dump,maker}.1 || die
fi
# Remove wineconsole if neither backend is installed #551124
if ! use X && ! use ncurses; then
rm "${D%/}${MY_PREFIX}"/bin/wineconsole* || die
rm "${D%/}${MY_MANDIR}"/man1/wineconsole* || die
rm_wineconsole() {
rm "${D%/}${MY_PREFIX}/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
}
multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D%/}${MY_PREFIX}"/bin/wine{,-preloader} #255055
use abi_x86_64 && pax-mark psmr "${D%/}${MY_PREFIX}"/bin/wine64{,-preloader}
# Avoid double prefix from dosym and make_wrapper
MY_PREFIX=${MY_PREFIX#${EPREFIX}}
if use abi_x86_64 && ! use abi_x86_32; then
dosym wine64 "${MY_PREFIX}"/bin/wine # 404331
dosym wine64-preloader "${MY_PREFIX}"/bin/wine-preloader
fi
# Failglob for binloops, shouldn't be necessary, but including to stay safe
eshopts_push -s failglob #615218
# Make wrappers for binaries for handling multiple variants
# Note: wrappers instead of symlinks because some are shell which use basename
local b
for b in "${ED%/}${MY_PREFIX}"/bin/*; do
make_wrapper "${b##*/}-${WINE_VARIANT}" "${MY_PREFIX}/bin/${b##*/}"
done
eshopts_pop
}
pkg_postinst() {
eselect wine register ${P}
if [[ ${PN} == "wine-vanilla" ]]; then
eselect wine register --vanilla ${P} || die
else
if use staging; then
eselect wine register --staging ${P} || die
fi
fi
eselect wine update --all --if-unset || die
xdg_desktop_database_update
if ! use gecko; then
ewarn "Without Wine Gecko, wine prefixes will not have a default"
ewarn "implementation of iexplore. Many older windows applications"
ewarn "rely upon the existence of an iexplore implementation, so"
ewarn "you will likely need to install an external one, like via winetricks"
fi
if ! use mono; then
ewarn "Without Wine Mono, wine prefixes will not have a default"
ewarn "implementation of .NET. Many windows applications rely upon"
ewarn "the existence of a .NET implementation, so you will likely need"
ewarn "to install an external one, like via winetricks"
fi
}
pkg_prerm() {
eselect wine deregister ${P}
if [[ ${PN} == "wine-vanilla" ]]; then
eselect wine deregister --vanilla ${P} || die
else
if use staging; then
eselect wine deregister --staging ${P} || die
fi
fi
eselect wine update --all --if-unset || die
}
pkg_postrm() {
xdg_desktop_database_update
}

33
app-emulation/wine-staging/wine-staging-9999.ebuild

@ -44,7 +44,7 @@ fi
LICENSE="LGPL-2.1"
SLOT="${PV}"
IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc +faudio +fontconfig +gcrypt +gecko gphoto2 gsm gssapi gstreamer +jpeg kerberos kernel_FreeBSD +lcms ldap +mono mp3 ncurses netapi nls odbc openal opencl +opengl osmesa oss +perl pcap pipelight +png prelink pulseaudio +realtime +run-exes samba scanner sdl selinux +ssl staging test themes +threads +truetype udev +udisks +unwind v4l vaapi vkd3d vulkan +X +xcomposite xinerama +xml"
IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc +faudio +fontconfig +gcrypt +gecko gphoto2 gsm gssapi gstreamer +jpeg kerberos kernel_FreeBSD +lcms ldap mingw +mono mp3 ncurses netapi nls odbc openal opencl +opengl osmesa oss +perl pcap pipelight +png prelink pulseaudio +realtime +run-exes samba scanner sdl selinux +ssl staging test themes +threads +truetype udev +udisks +unwind v4l vaapi vkd3d vulkan +X +xcomposite xinerama +xml"
REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
X? ( truetype )
elibc_glibc? ( threads )
@ -297,6 +297,34 @@ pkg_pretend() {
die
fi
fi
if use mingw && use abi_x86_32 && ! has_version "cross-i686-w64-mingw32/gcc"; then
eerror
eerror "USE=\"mingw\" is currently experimental, and requires the"
eerror "'cross-i686-w64-mingw32' compiler and its runtime for 32-bit builds."
eerror
eerror "These can be installed by using 'sys-devel/crossdev':"
eerror
eerror "crossdev --target i686-w64-mingw32"
eerror
eerror "For more information on setting up MinGW, see: https://wiki.gentoo.org/wiki/Mingw"
eerror
die "MinGW build was enabled, but no compiler to support it was found."
fi
if use mingw && use abi_x86_64 && ! has_version "cross-x86_64-w64-mingw32/gcc"; then
eerror
eerror "USE=\"mingw\" is currently experimental, and requires the"
eerror "'cross-x86_64-w64-mingw32' compiler and its runtime for 64-bit builds."
eerror
eerror "These can be installed by using 'sys-devel/crossdev':"
eerror
eerror "crossdev --target x86_64-w64-mingw32"
eerror
eerror "For more information on setting up MinGW, see: https://wiki.gentoo.org/wiki/Mingw"
eerror
die "MinGW build was enabled, but no compiler to support it was found."
fi
}
pkg_setup() {
@ -455,7 +483,8 @@ multilib_src_configure() {
$(use_with jpeg)
$(use_with kerberos krb5)
$(use_with ldap)
--without-mingw # linux LDFLAGS leak in mingw32: bug #685172
# TODO: Will bug 685172 still need special handling?
$(use_with mingw)
$(use_enable mono mscoree)
$(use_with mp3 mpg123)
$(use_with netapi)

5
app-emulation/wine-vanilla/metadata.xml

@ -4,6 +4,10 @@
<maintainer type="project">
<email>wine@gentoo.org</email>
<name>Wine</name>
<description>
This package must be kept in sync with repo/proj/wine repository.
Any changes need to be run past the maintainer to ensure the two repositories are kept in sync.
</description>
</maintainer>
<longdescription>
Wine is an Open Source implementation of the Windows API on top of X and Unix.
@ -20,6 +24,7 @@ This variant of the Wine packaging does not include external patchsets
<flag name="gecko">Add support for the Gecko engine when using iexplore</flag>
<flag name="gssapi">Use GSSAPI (Kerberos SSP support)</flag>
<flag name="gstreamer">Use <pkg>media-libs/gstreamer</pkg> to provide DirectShow functionality;</flag>
<flag name="mingw">Build PE files using a MinGW cross compiler</flag>
<flag name="mono">Add support for .NET using Wine's Mono add-on</flag>
<flag name="netapi">Use libnetapi from <pkg>net-fs/samba</pkg> to support Windows networks in netapi32.dll</flag>
<flag name="opencl">Enable OpenCL support</flag>

568
app-emulation/wine-vanilla/wine-vanilla-5.22-r1.ebuild

@ -0,0 +1,568 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PLOCALES="ar ast bg ca cs da de el en en_US eo es fa fi fr he hi hr hu it ja ko lt ml nb_NO nl or pa pl pt_BR pt_PT rm ro ru si sk sl sr_RS@cyrillic sr_RS@latin sv ta te th tr uk wa zh_CN zh_TW"
PLOCALE_BACKUP="en"
inherit autotools eapi7-ver estack eutils flag-o-matic gnome2-utils l10n multilib multilib-minimal pax-utils toolchain-funcs virtualx xdg-utils
MY_PN="${PN%%-*}"
MY_P="${MY_PN}-${PV}"
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://source.winehq.org/git/wine.git"
EGIT_BRANCH="master"
inherit git-r3
SRC_URI=""
#KEYWORDS=""
else
MAJOR_V=$(ver_cut 1)
SRC_URI="https://dl.winehq.org/wine/source/${MAJOR_V}.x/${MY_P}.tar.xz"
KEYWORDS="-* ~amd64 ~x86"
fi
S="${WORKDIR}/${MY_P}"
GWP_V="20200523"
PATCHDIR="${WORKDIR}/gentoo-wine-patches"
DESCRIPTION="Free implementation of Windows(tm) on Unix, without external patchsets"
HOMEPAGE="https://www.winehq.org/"
SRC_URI="${SRC_URI}
https://dev.gentoo.org/~sarnex/distfiles/wine/gentoo-wine-patches-${GWP_V}.tar.xz
"
LICENSE="LGPL-2.1"
SLOT="${PV}"
IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc +faudio +fontconfig +gecko gphoto2 gsm gssapi gstreamer +jpeg kerberos kernel_FreeBSD +lcms ldap mingw +mono mp3 ncurses netapi nls odbc openal opencl +opengl osmesa oss +perl pcap +png prelink pulseaudio +realtime +run-exes samba scanner sdl selinux +ssl test +threads +truetype udev +udisks +unwind v4l vkd3d vulkan +X +xcomposite xinerama +xml"
REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
X? ( truetype )
elibc_glibc? ( threads )
osmesa? ( opengl )
test? ( abi_x86_32 )
vkd3d? ( vulkan )" # osmesa-opengl #286560 # X-truetype #551124
# FIXME: the test suite is unsuitable for us; many tests require net access
# or fail due to Xvfb's opengl limitations.
RESTRICT="test"
COMMON_DEPEND="
X? (
x11-libs/libXcursor[${MULTILIB_USEDEP}]
x11-libs/libXext[${MULTILIB_USEDEP}]
x11-libs/libXfixes[${MULTILIB_USEDEP}]
x11-libs/libXrandr[${MULTILIB_USEDEP}]
x11-libs/libXi[${MULTILIB_USEDEP}]
x11-libs/libXxf86vm[${MULTILIB_USEDEP}]
)
alsa? ( media-libs/alsa-lib[${MULTILIB_USEDEP}] )
capi? ( net-libs/libcapi[${MULTILIB_USEDEP}] )
cups? ( net-print/cups:=[${MULTILIB_USEDEP}] )
faudio? ( app-emulation/faudio:=[${MULTILIB_USEDEP}] )
fontconfig? ( media-libs/fontconfig:=[${MULTILIB_USEDEP}] )
gphoto2? ( media-libs/libgphoto2:=[${MULTILIB_USEDEP}] )
gsm? ( media-sound/gsm:=[${MULTILIB_USEDEP}] )
gssapi? ( virtual/krb5[${MULTILIB_USEDEP}] )
gstreamer? (
media-libs/gstreamer:1.0[${MULTILIB_USEDEP}]
media-plugins/gst-plugins-meta:1.0[${MULTILIB_USEDEP}]
)
jpeg? ( virtual/jpeg:0=[${MULTILIB_USEDEP}] )
kerberos? ( virtual/krb5[${MULTILIB_USEDEP}] )
lcms? ( media-libs/lcms:2=[${MULTILIB_USEDEP}] )
ldap? ( net-nds/openldap:=[${MULTILIB_USEDEP}] )
mp3? ( >=media-sound/mpg123-1.5.0[${MULTILIB_USEDEP}] )
ncurses? ( >=sys-libs/ncurses-5.2:0=[${MULTILIB_USEDEP}] )
netapi? ( net-fs/samba[netapi(+),${MULTILIB_USEDEP}] )
nls? ( sys-devel/gettext[${MULTILIB_USEDEP}] )
odbc? ( dev-db/unixODBC:=[${MULTILIB_USEDEP}] )
openal? ( media-libs/openal:=[${MULTILIB_USEDEP}] )
opencl? ( virtual/opencl[${MULTILIB_USEDEP}] )
opengl? (
virtual/glu[${MULTILIB_USEDEP}]
virtual/opengl[${MULTILIB_USEDEP}]
)
osmesa? ( >=media-libs/mesa-13[osmesa,${MULTILIB_USEDEP}] )
pcap? ( net-libs/libpcap[${MULTILIB_USEDEP}] )
png? ( media-libs/libpng:0=[${MULTILIB_USEDEP}] )
pulseaudio? ( media-sound/pulseaudio[${MULTILIB_USEDEP}] )
scanner? ( media-gfx/sane-backends:=[${MULTILIB_USEDEP}] )
sdl? ( media-libs/libsdl2:=[haptic,joystick,${MULTILIB_USEDEP}] )
ssl? ( net-libs/gnutls:=[${MULTILIB_USEDEP}] )
truetype? ( >=media-libs/freetype-2.0.0[${MULTILIB_USEDEP}] )
udev? ( virtual/libudev:=[${MULTILIB_USEDEP}] )
udisks? ( sys-apps/dbus[${MULTILIB_USEDEP}] )
unwind? ( sys-libs/libunwind[${MULTILIB_USEDEP}] )
v4l? ( media-libs/libv4l[${MULTILIB_USEDEP}] )
vkd3d? ( >=app-emulation/vkd3d-1.2[${MULTILIB_USEDEP}] )
vulkan? ( media-libs/vulkan-loader[${MULTILIB_USEDEP}] )
xcomposite? ( x11-libs/libXcomposite[${MULTILIB_USEDEP}] )
xinerama? ( x11-libs/libXinerama[${MULTILIB_USEDEP}] )
xml? (
dev-libs/libxml2[${MULTILIB_USEDEP}]
dev-libs/libxslt[${MULTILIB_USEDEP}]
)"
RDEPEND="${COMMON_DEPEND}
app-emulation/wine-desktop-common
>app-eselect/eselect-wine-0.3
!app-emulation/wine:0
dos? ( >=games-emulation/dosbox-0.74_p20160629 )
gecko? ( app-emulation/wine-gecko:2.47.1[abi_x86_32?,abi_x86_64?] )
mono? ( app-emulation/wine-mono:5.1.1 )
perl? (
dev-lang/perl
dev-perl/XML-Simple
)
pulseaudio? (
realtime? ( sys-auth/rtkit )
)
samba? ( >=net-fs/samba-3.0.25[winbind] )
selinux? ( sec-policy/selinux-wine )
udisks? ( sys-fs/udisks:2 )"
# tools/make_requests requires perl
DEPEND="${COMMON_DEPEND}
sys-devel/flex
>=sys-kernel/linux-headers-2.6
virtual/pkgconfig
virtual/yacc
X? ( x11-base/xorg-proto )
prelink? ( sys-devel/prelink )
xinerama? ( x11-base/xorg-proto )"
# These use a non-standard "Wine" category, which is provided by
# /etc/xdg/applications-merged/wine.menu
QA_DESKTOP_FILE="usr/share/applications/wine-browsedrive.desktop
usr/share/applications/wine-notepad.desktop
usr/share/applications/wine-uninstaller.desktop
usr/share/applications/wine-winecfg.desktop"
PATCHES=(
"${PATCHDIR}/patches/${MY_PN}-5.0-winegcc.patch" #260726
"${PATCHDIR}/patches/${MY_PN}-4.7-multilib-portage.patch" #395615
"${PATCHDIR}/patches/${MY_PN}-2.0-multislot-apploader.patch" #310611
"${PATCHDIR}/patches/${MY_PN}-5.9-Revert-makedep-Install-also-generated-typelib-for-in.patch"
)
PATCHES_BIN=()
# https://bugs.gentoo.org/show_bug.cgi?id=635222
if [[ ${#PATCHES_BIN[@]} -ge 1 ]] || [[ ${PV} == 9999 ]]; then
DEPEND+=" dev-util/patchbin"
fi
wine_compiler_check() {
[[ ${MERGE_TYPE} = "binary" ]] && return 0
# GCC-specific bugs
if tc-is-gcc; then
# bug #549768
if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) -le 2 ]]; then
ebegin "Checking for gcc-5 ms_abi compiler bug"
$(tc-getCC) -O2 "${PATCHDIR}/files/pr66838.c" -o "${T}"/pr66838 || die
# Run in subshell to prevent "Aborted" message
( "${T}"/pr66838 || false ) >/dev/null 2>&1
if ! eend $?; then
eerror "64-bit wine cannot be built with gcc-5.1 or initial patchset of 5.2.0"
eerror "due to compiler bugs; please re-emerge the latest gcc-5.2.x ebuild,"
eerror "or use gcc-config to select a different compiler version."
eerror "See https://bugs.gentoo.org/549768"
eerror
return 1
fi
fi
# bug #574044
if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) = 3 ]]; then
ebegin "Checking for gcc-5-3 stack realignment compiler bug"
# Compile in subshell to prevent "Aborted" message
( $(tc-getCC) -O2 -mincoming-stack-boundary=3 "${PATCHDIR}/files/pr69140.c" -o "${T}"/pr69140 ) >/dev/null 2>&1
if ! eend $?; then
eerror "Wine cannot be built with this version of gcc-5.3"
eerror "due to compiler bugs; please re-emerge the latest gcc-5.3.x ebuild,"
eerror "or use gcc-config to select a different compiler version."
eerror "See https://bugs.gentoo.org/574044"
eerror
return 1
fi
fi
fi
# Ensure compiler support
if use abi_x86_64; then
ebegin "Checking for 64-bit compiler with builtin_ms_va_list support"
# Compile in subshell to prevent "Aborted" message
( $(tc-getCC) -O2 "${PATCHDIR}/files/builtin_ms_va_list.c" -o "${T}"/builtin_ms_va_list >/dev/null 2>&1)
if ! eend $?; then
eerror "This version of $(tc-getCC) does not support builtin_ms_va_list, can't enable 64-bit wine"
eerror
eerror "You need gcc-4.4+ or clang 3.8+ to build 64-bit wine"
eerror
return 1
fi
fi
}
wine_build_environment_check() {
[[ ${MERGE_TYPE} = "binary" ]] && return 0
if use abi_x86_64; then
if tc-is-gcc && [[ $(gcc-major-version) -lt 4 || ( $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 4 ) ]]; then
eerror "You need gcc-4.4+ to compile 64-bit wine"
die
elif tc-is-clang && [[ $(clang-major-version) -lt 3 || ( $(clang-major-version) -eq 3 && $(clang-minor-version) -lt 8 ) ]]; then
eerror "You need clang-3.8+ to compile 64-bit wine"
die
fi
fi
if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -le 3 ]]; then
ewarn "GCC-5.0-5.3 suffered from compiler bugs and are no longer supported by"
ewarn "Gentoo's Toolchain Team. If your ebuild fails the compiler checks in"
ewarn "the configure phase, either update your compiler or switch to <5.0 || >=5.4"
fi
if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -eq 4 ]]; then
if has "-march=i686" ${CFLAGS} && ! has "-mtune=generic" ${CFLAGS}; then
ewarn "Compilation can hang with CFLAGS=\"-march=i686\". You can temporarily work"
ewarn "around this by adding \"-mtune=generic\" to your CFLAGS for wine."
ewarn "See package.env in man 5 portage for more information on how to do this."
ewarn "See https://bugs.gentoo.org/show_bug.cgi?id=613128 for more details"
fi
fi
if use abi_x86_32 && use opencl && [[ "$(eselect opencl show 2> /dev/null)" == "intel" ]]; then
eerror "You cannot build wine with USE=opencl because intel-ocl-sdk is 64-bit only."
eerror "See https://bugs.gentoo.org/487864 for more details."
eerror
return 1
fi
}
wine_env_vcs_vars() {
local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
local pn_live_val="${pn_live_var}"
eval pn_live_val='$'${pn_live_val}
if [[ ! -z ${EGIT_COMMIT} ]]; then
eerror "Commits must now be specified using the environmental variables"
eerror "EGIT_OVERRIDE_COMMIT_WINE"
eerror
return 1
fi
}
pkg_pretend() {
wine_build_environment_check || die
# Verify OSS support
if use oss && ! use kernel_FreeBSD; then
if ! has_version ">=media-sound/oss-4"; then
eerror "You cannot build wine with USE=oss without having support from a"
eerror "FreeBSD kernel or >=media-sound/oss-4 (only available through external repos)"
eerror
die
fi
fi